Bug Hunting Session
Bug 101572 - Belarus switch currency from BYR to BYN since 1 July 2016
Summary: Belarus switch currency from BYR to BYN since 1 July 2016
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: LibreOffice (show other bugs)
Version:
(earliest affected)
unspecified
Hardware: All All
: medium normal
Assignee: Eike Rathke
URL: https://en.wikipedia.org/wiki/New_Bel...
Whiteboard: target:5.3.0 target:5.2.2 target:5.1.6
Keywords:
Depends on:
Blocks:
 
Reported: 2016-08-17 09:48 UTC by Maxim Britov
Modified: 2016-08-18 11:29 UTC (History)
2 users (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Maxim Britov 2016-08-17 09:48:11 UTC
New Belarus currency is BYN since denomination 1 July 2016.
Currently LO uses legacy BYR.
Comment 1 Julien Nabet 2016-08-18 10:09:03 UTC
Code pointer: http://opengrok.libreoffice.org/xref/core/i18npool/source/localedata/data/be_BY.xml#393

    390     <Currency default="true" usedInCompatibleFormatCodes="true">
    391       <CurrencyID>BYR</CurrencyID>
    392       <CurrencySymbol>��.</CurrencySymbol>
    393       <BankSymbol>BYR</BankSymbol>
    394       <CurrencyName>Ruble</CurrencyName>
    395       <DecimalPlaces>2</DecimalPlaces>

Eike: I don't know if only 1 (perhaps "BankSymbol" only) or both values(with "CurrencyID") must be changed.
Comment 2 Eike Rathke 2016-08-18 10:25:10 UTC
Neither ;-)  see also http://opengrok.libreoffice.org/xref/core/i18npool/source/localedata/data/locale.dtd#382

I'll take care of this.
Comment 3 Commit Notification 2016-08-18 10:52:34 UTC
Eike Rathke committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=92ba4bc561293cc29e4e92bc3791dd9db1da6b9c

Resolves: tdf#101572 New Belarusian Ruble BYN/Br for [be-BY]

It will be available in 5.3.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 4 Eike Rathke 2016-08-18 10:54:56 UTC
Pending review
https://gerrit.libreoffice.org/28213 for 5-2
https://gerrit.libreoffice.org/28214 for 5-1
Comment 5 Commit Notification 2016-08-18 11:01:24 UTC
Eike Rathke committed a patch related to this issue.
It has been pushed to "libreoffice-5-2":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=0d6e5cabd9dea427f789ee76ec6726a217f9cfe7&h=libreoffice-5-2

Resolves: tdf#101572 New Belarusian Ruble BYN/Br for [be-BY]

It will be available in 5.2.2.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 6 Commit Notification 2016-08-18 11:04:41 UTC
Eike Rathke committed a patch related to this issue.
It has been pushed to "libreoffice-5-1":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=3242a37f35d2691a7fe080e571c96ee8e40786c4&h=libreoffice-5-1

Resolves: tdf#101572 New Belarusian Ruble BYN/Br for [be-BY]

It will be available in 5.1.6.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 7 Julien Nabet 2016-08-18 11:29:24 UTC
(In reply to Eike Rathke from comment #2)
> Neither ;-)  see also
> http://opengrok.libreoffice.org/xref/core/i18npool/source/localedata/data/
> locale.dtd#382
> 
> I'll take care of this.

Hopefully I ping you, I was a bit far of the right fix! :-)
Thank you for having took it!